# Class TakeOfferReply

#### Hierarchy

- unknown
  - TakeOfferReply

- Defined in src/protobuf/grpc_pb.d.ts:2406
- Defined in src/protobuf/grpc_pb.d.ts:2425

#####
Index

### Constructors

constructor

### Methods

clearFailureReason
clearTrade
getFailureReason
getTrade
hasFailureReason
hasTrade
serializeBinary
setFailureReason
setTrade
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new TakeOfferReply(): TakeOfferReply

- #### Returns TakeOfferReply

  Inherited from jspb.Message.constructor

## Methods

### clearFailureReason

- clearFailureReason(): TakeOfferReply

- #### Returns TakeOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:2415

### clearTrade

- clearTrade(): TakeOfferReply

- #### Returns TakeOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:2410

### getFailureReason

- getFailureReason(): undefined | AvailabilityResultWithDescription

- #### Returns undefined | AvailabilityResultWithDescription

  - Defined in src/protobuf/grpc_pb.d.ts:2412

### getTrade

- getTrade(): undefined | TradeInfo

- #### Returns undefined | TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2407

### hasFailureReason

- hasFailureReason(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2414

### hasTrade

- hasTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2409

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2417

### setFailureReason

- setFailureReason(value?: AvailabilityResultWithDescription): TakeOfferReply

- #### Parameters

  - ##### `Optional` value: AvailabilityResultWithDescription

  #### Returns TakeOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:2413

### setTrade

- setTrade(value?: TradeInfo): TakeOfferReply

- #### Parameters

  - ##### `Optional` value: TradeInfo

  #### Returns TakeOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:2408

### toObject

- toObject(includeInstance?: boolean): TakeOfferReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns TakeOfferReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2418

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): TakeOfferReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TakeOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:2421

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TakeOfferReply, reader: BinaryReader): TakeOfferReply

- #### Parameters

  - ##### message: TakeOfferReply

  - ##### reader: BinaryReader

  #### Returns TakeOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:2422

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: TakeOfferReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: TakeOfferReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2420

### `Static` toObject

- toObject(includeInstance: boolean, msg: TakeOfferReply): TakeOfferReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TakeOfferReply

  #### Returns TakeOfferReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2419

Generated using TypeDoc